﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;

namespace SelectedItemChangedOnComboColumn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ManageRecipeStateResults = new List<Data>
            {
                new Data
                {
                    RecipeKey = 1,
                    MandatoryCriteriaList = "some",
                    RecipeVersion = 1,
                    PreviousRecipeState = true,
                    CurrentRecipeState = "State 1"
                },
                new Data
                {
                    RecipeKey = 2,
                    MandatoryCriteriaList = "some 1",
                    RecipeVersion = 2,
                    PreviousRecipeState = true,
                    CurrentRecipeState = "State 2"
                }
            };

            DataContext = this;
        }

        public List<Data> ManageRecipeStateResults { get; set; }



        private void XamComboEditor_SelectedItemChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
           //Do Something 
        }


  
    }

    public class Data
    {
        public int RecipeKey { get; set; }
        public string MandatoryCriteriaList { get; set; }
        public int RecipeVersion { get; set; }
        public bool PreviousRecipeState { get; set; }
        public string CurrentRecipeState { get; set; }
        public bool IsPreserved { get; set; }
    }


    public class OptionList : List<ComboData>
    {
        public OptionList()
        {
            Add(new ComboData { State = "State 1" });
            Add(new ComboData { State = "State 2" });
            Add(new ComboData { State = "State 3" });
            Add(new ComboData { State = "State 4" });
            Add(new ComboData { State = "State 5" });
        }
    }

    public class ComboData
    {
        public string State { get; set; }
    }
}
